GEOS: geos::io::WKBReader Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::io::WKBReader Class Reference

Reads a Geometry from Well-Known Binary format. More...

`#include <geos.h>`

## Public Member Functions
| WKBReader (geom::GeometryFactory const &f)
| WKBReader ()
| Inizialize parser with default GeometryFactory.
geom::Geometry * | read (std::istream &is)
| Reads a Geometry from an istream.
geom::Geometry * | readHEX (std::istream &is)
| Reads a Geometry from an istream in hex format.

## Static Public Member Functions
static std::ostream & | printHEX (std::istream &is, std::ostream &os)
| Print WKB in HEX form to out stream.

## Detailed Description

Reads a Geometry from Well-Known Binary format.

This class is designed to support reuse of a single instance to read multiple geometries. This class is not thread-safe; each thread should create its own instance.

The Well-known Binary format is defined in the OpenGIS Simple Features Specification for SQL. This implementation supports the extended WKB standard which allows representing 3-dimensional coordinates.

## Member Function Documentation

static std::ostream& geos::io::WKBReader::printHEX | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  |
| static

Print WKB in HEX form to out stream.

Parameters

  is | is the stream to read from
  os | is the stream to write to

geom::Geometry* geos::io::WKBReader::read | ( | std::istream & | is | ) |

Reads a Geometry from an istream.

Parameters

  is | the stream to read from

Returns
  the Geometry read

Exceptions

  IOException |
  ParseException |

geom::Geometry* geos::io::WKBReader::readHEX | ( | std::istream & | is | ) |

Reads a Geometry from an istream in hex format.

Parameters

  is | the stream to read from

Returns
  the Geometry read

Exceptions

  IOException |
  ParseException |

The documentation for this class was generated from the following file:

- WKBReader.h